class Particule
{
  Vector2 position, positionAvant,positionDelta,temp;
  Vector2 acceleration;
  
  // ------------------------
  Particule(float x, float y){
    this.position = new Vector2(x,y);
    this.positionAvant = new Vector2(x,y);
    this.positionDelta = new Vector2();
    this.acceleration = new Vector2();
    this.temp = new Vector2();
  }

  // ------------------------
  void contrainteMonde(){
    this.position.x = constrain(this.position.x,0,width);
    this.position.y = constrain(this.position.y,0,height);
  }

  // ------------------------
  void maj(float dt){
    
    this.temp.set(this.position);
    
    // positionDelta = position - positionAvant
    this.positionDelta.set(this.position);
    this.positionDelta.subSelf(this.positionAvant);
  
    // position += positionDelta + acceleration * dt * dt
    this.position.x += this.positionDelta.x + this.acceleration.x*dt*dt;
    this.position.y += this.positionDelta.y + this.acceleration.y*dt*dt;
    
    // positionAvant = position
    this.positionAvant.set(this.temp);
    
  }

  // ------------------------
  void dessine(){
    fill(200,0,0);
    ellipse(this.position.x,this.position.y,5,5);  
  }
};
