Vector2 g;
Timer t;
float dt;
SystemeParticules particules;

void setup(){
  size(400,400);
  smooth();
  g = new Vector2(0,9.8);
  t = new Timer();
  particules = new SystemeParticules();
  
  Particule A = particules.ajouteParticule( new Particule(width/2,height/2) );
  Particule B = particules.ajouteParticule( new Particule(width/4,height/2) );
  Particule C = particules.ajouteParticule( new Particule(3*width/8,height/1.5) );
  Particule D = particules.ajouteParticule( new Particule(3*width/8,height/2.5) );
  
  particules.ajouteContrainte( new Contrainte(A,B) );
  particules.ajouteContrainte( new Contrainte(A,C) );
  particules.ajouteContrainte( new Contrainte(B,C) );
  particules.ajouteContrainte( new Contrainte(A,D) );
  
  noStroke();
}

void draw(){
 dt = t.getDeltaS();
 background(255);

 particules.maj(dt);
 particules.dessine();
}


