class Vector2
{
  float x,y;
  
  // ------------------------
  Vector2(){
   set(0,0);
  }

  // ------------------------
  Vector2(float x, float y){
    set(x,y);
  }

  // ------------------------
  void set(float x, float y){
    this.x = x;
    this.y = y;
  }

  // ------------------------
  void set(Vector2 v){
    this.x = v.x;
    this.y = v.y;
  }

  // ------------------------
  void addSelf(float dx, float dy){
    this.x +=dx;
    this.y +=dy;
  }

  // ------------------------
  void addSelf(Vector2 v){
    this.x +=v.x;
    this.y +=v.y;
  }

  // ------------------------
  void subSelf(float x, float y){
    this.x -= x;
    this.y -= y;
  }

  // ------------------------
  void subSelf(Vector2 v){
    this.x -= v.x;
    this.y -= v.y;
  }

  // ------------------------
  void mul(float m){
    this.x *= m;
    this.y *= m;
  }
};

